/*
*  ASObject.h
*  ASFoundation
*
*  Created by Ken Sillart on 4/2/09.
*  Copyright 2009 MYOB Technology Pty. Ltd.. All rights reserved.
*
*/

#pragma once

#include "CrossPlatform/CrossPlatform.h"

namespace ASFoundation
{
	class EXTERNAL_API ASObject
	{
	public:
		virtual CPError GetError(void) const;
		virtual bool HasError(void) const;

	protected:
		ASObject(void);
		virtual ~ASObject(void);

		void SetError(const CPError& Error) const;

	private:
		ASObject(const ASObject&);
		const ASObject& operator=(const ASObject& String);
		
		CPError* m_Error;
	};
}
